1. Events
Bunjang Open API
  • Overview
  • Changelog
  • Authentication
  • Product Catalog
    • Service Base URL
    • Sample Data
    • Full Catalog Download
      GET
    • Segment Catalog Download
      GET
  • Rest API
    • Service Base URL
    • Error Codes
    • Product Category
      • List Categories
    • Brand
      • List Brands
    • Product
      • Get Product
      • Filter On-Sale Products
      • Search Products
    • Point
      • Get Point Balance
      • Create Point Charge
      • Get Point Charge
      • Cancel Point Charge
    • Order
      • Create Order
      • Confirm Order
      • Get Order
      • List Orders
      • Create Order (Deprecated)
  • Webhooks
    • Overview
    • Signature Verification
    • Retry & Idempotency
    • Events
      • Order Status Changed
  • Schemas
    • Webhooks
      • WebhookEnvelope
      • WebhookOrderStatusChangedData
    • Product Condition
    • Product Active Sale Status
    • Order Status
  1. Events

Order Status Changed

Webhook
POST
order.status.changed
Triggered when an order item's status changes. Fetch the latest order state from the Get Order API for business logic.

Request

Header Params

Body Params application/jsonRequired

Example
{
    "eventId": "01K0AZRPB4N36H9NMDJRMYXM7A",
    "eventType": "order.status.changed",
    "payloadVersion": "v1",
    "data": {
        "orderId": 100,
        "orderItems": [
            {
                "orderItemId": 1001,
                "pid": 503344,
                "orderStatus": "PAYMENT_RECEIVED"
            }
        ]
    }
}

Request Code Samples

Shell
JavaScript
Java
Swift
Go
PHP
Python
HTTP
C
C#
Objective-C
Ruby
OCaml
Dart
R
Request Request Example
Shell
JavaScript
Java
Swift
curl --location 'https://your-api-server.com' \
--header 'X-Bun-Webhook-Signature: t=1735648123,v0=249e47edc1980531306517e4435b54ef1ff224020029284bdf19c8eda99aa325' \
--header 'Content-Type: application/json' \
--data '{
    "eventId": "01K0AZRPB4N36H9NMDJRMYXM7A",
    "eventType": "order.status.changed",
    "payloadVersion": "v1",
    "data": {
        "orderId": 100,
        "orderItems": [
            {
                "orderItemId": 1001,
                "pid": 503344,
                "orderStatus": "PAYMENT_RECEIVED"
            }
        ]
    }
}'

Responses

🟢204Success
Webhook successfully received. Any 2xx status code is treated as success; the response body is ignored.
This response does not have a body.
Modified at 2026-05-14 06:57:17
Previous
Events
Next
WebhookEnvelope
Built with